/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.canvas;

public class Canvas extends com.mysql.grt.GrtObject {

    protected Canvas() {
    }

    public Canvas(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new CanvasDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new CanvasDataGlobal((String) obj);
        }
    }

    public com.mysql.grt.GrtHashMap getModel() {
        return ((CanvasData) data).getModel();
    }

    public com.mysql.grt.GrtHashMap setModel(com.mysql.grt.GrtHashMap model) {
        ((CanvasData) data).setModel(model);

        return getModel();
    }

    public com.mysql.grt.canvas.ViewList getViews() {
        return ((CanvasData) data).getViews();
    }

    public com.mysql.grt.canvas.ViewList setViews(com.mysql.grt.canvas.ViewList views) {
        ((CanvasData) data).setViews(views);

        return getViews();
    }

    public com.mysql.grt.canvas.LayerList getLayers() {
        return ((CanvasData) data).getLayers();
    }

    public com.mysql.grt.canvas.LayerList setLayers(com.mysql.grt.canvas.LayerList layers) {
        ((CanvasData) data).setLayers(layers);

        return getLayers();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            if (getViews() != null) {
                getViews().getGrtXml(xml, " key=\"views\"");
            }

            if (getLayers() != null) {
                getLayers().getGrtXml(xml, " key=\"layers\"");
            }

            if (getModel() != null) {
                getModel().getGrtXml(xml, " key=\"model\"");
            }

        return xml;
    }
}
