/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public class ForeignKeyDataGlobal extends com.mysql.grt.base.NamedGrtObjectDataGlobal implements ForeignKeyData {

    public ForeignKeyDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getDeferability() {
        return getGrtGlobalAsInt("deferability");
    }

    public int setDeferability(int deferability) {
        setGrtGlobalFromInt("deferability", deferability);

        return getDeferability();
    }

    public String getDeleteRule() {
        return getGrtGlobalAsString("deleteRule");
    }

    public String setDeleteRule(String deleteRule) {
        setGrtGlobalFromString("deleteRule", deleteRule);

        return getDeleteRule();
    }

    public String getUpdateRule() {
        return getGrtGlobalAsString("updateRule");
    }

    public String setUpdateRule(String updateRule) {
        setGrtGlobalFromString("updateRule", updateRule);

        return getUpdateRule();
    }

    public String getReferedTableSchemaName() {
        return getGrtGlobalAsString("referedTableSchemaName");
    }

    public String setReferedTableSchemaName(String referedTableSchemaName) {
        setGrtGlobalFromString("referedTableSchemaName", referedTableSchemaName);

        return getReferedTableSchemaName();
    }

    public String getReferedTableName() {
        return getGrtGlobalAsString("referedTableName");
    }

    public String setReferedTableName(String referedTableName) {
        setGrtGlobalFromString("referedTableName", referedTableName);

        return getReferedTableName();
    }

    public com.mysql.grt.GrtStringList getReferedColumnNames() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("referedColumnNames");
    }

    public com.mysql.grt.GrtStringList setReferedColumnNames(com.mysql.grt.GrtStringList referedColumnNames) {
        setGrtGlobalFromObject("referedColumnNames", referedColumnNames);

        return getReferedColumnNames();
    }

    public com.mysql.grt.db.Table getReferedTable() {
        return (com.mysql.grt.db.Table) com.mysql.grt.Grt.getInstance().getObjectByRefId(
                getGrtGlobalAsString("referedTable"));
    }

    public com.mysql.grt.db.Table setReferedTable(com.mysql.grt.db.Table referedTable) {
        setGrtGlobalFromString("referedTable", referedTable.get_id());

        return getReferedTable();
    }

    public String getReferedTableById() {
        return getGrtGlobalAsString("referedTable");
    }

    public void setReferedTableById(String referedTable) {
        setGrtGlobalFromString("referedTable", referedTable);
    }

    public com.mysql.grt.db.ColumnList getColumns() {
        return (com.mysql.grt.db.ColumnList) getGrtGlobalAsObject("columns");
    }

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns) {
        setGrtGlobalFromObject("columns", columns);

        return getColumns();
    }

    public com.mysql.grt.db.ColumnList getReferedColumns() {
        return (com.mysql.grt.db.ColumnList) getGrtGlobalAsObject("referedColumns");
    }

    public com.mysql.grt.db.ColumnList setReferedColumns(com.mysql.grt.db.ColumnList referedColumns) {
        setGrtGlobalFromObject("referedColumns", referedColumns);

        return getReferedColumns();
    }

}
