/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public interface DriverData extends com.mysql.grt.GrtObjectData {

    public int getIsAccessable();

    public int setIsAccessable(int isAccessable);

    public int getIsInstalled();

    public int setIsInstalled(int isInstalled);

    public String getCaption();

    public String setCaption(String caption);

    public String getDescription();

    public String setDescription(String description);

    public String getFilesTarget();

    public String setFilesTarget(String filesTarget);

    public String getDownloadUrl();

    public String setDownloadUrl(String downloadUrl);

    public com.mysql.grt.GrtStringHashMap getDefaultModules();

    public com.mysql.grt.GrtStringHashMap setDefaultModules(com.mysql.grt.GrtStringHashMap defaultModules);

    public com.mysql.grt.GrtStringList getFiles();

    public com.mysql.grt.GrtStringList setFiles(com.mysql.grt.GrtStringList files);

    public com.mysql.grt.db.mgmt.DriverParameterList getParameters();

    public com.mysql.grt.db.mgmt.DriverParameterList setParameters(com.mysql.grt.db.mgmt.DriverParameterList parameters);

}
