/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class DriverDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements DriverData {

    public DriverDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getIsAccessable() {
        return getGrtGlobalAsInt("isAccessable");
    }

    public int setIsAccessable(int isAccessable) {
        setGrtGlobalFromInt("isAccessable", isAccessable);

        return getIsAccessable();
    }

    public int getIsInstalled() {
        return getGrtGlobalAsInt("isInstalled");
    }

    public int setIsInstalled(int isInstalled) {
        setGrtGlobalFromInt("isInstalled", isInstalled);

        return getIsInstalled();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public String getFilesTarget() {
        return getGrtGlobalAsString("filesTarget");
    }

    public String setFilesTarget(String filesTarget) {
        setGrtGlobalFromString("filesTarget", filesTarget);

        return getFilesTarget();
    }

    public String getDownloadUrl() {
        return getGrtGlobalAsString("downloadUrl");
    }

    public String setDownloadUrl(String downloadUrl) {
        setGrtGlobalFromString("downloadUrl", downloadUrl);

        return getDownloadUrl();
    }

    public com.mysql.grt.GrtStringHashMap getDefaultModules() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("defaultModules");

    }

    public com.mysql.grt.GrtStringHashMap setDefaultModules(com.mysql.grt.GrtStringHashMap defaultModules) {
        setGrtGlobalFromObject("defaultModules", defaultModules);

        return getDefaultModules();
    }

    public com.mysql.grt.GrtStringList getFiles() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("files");
    }

    public com.mysql.grt.GrtStringList setFiles(com.mysql.grt.GrtStringList files) {
        setGrtGlobalFromObject("files", files);

        return getFiles();
    }

    public com.mysql.grt.db.mgmt.DriverParameterList getParameters() {
        return (com.mysql.grt.db.mgmt.DriverParameterList) getGrtGlobalAsObject("parameters");
    }

    public com.mysql.grt.db.mgmt.DriverParameterList setParameters(com.mysql.grt.db.mgmt.DriverParameterList parameters) {
        setGrtGlobalFromObject("parameters", parameters);

        return getParameters();
    }

}
