/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public class DriverParameterDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements DriverParameterData {

    public DriverParameterDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getRequired() {
        return getGrtGlobalAsInt("required");
    }

    public int setRequired(int required) {
        setGrtGlobalFromInt("required", required);

        return getRequired();
    }

    public int getLayoutAdvanced() {
        return getGrtGlobalAsInt("layoutAdvanced");
    }

    public int setLayoutAdvanced(int layoutAdvanced) {
        setGrtGlobalFromInt("layoutAdvanced", layoutAdvanced);

        return getLayoutAdvanced();
    }

    public int getLayoutRow() {
        return getGrtGlobalAsInt("layoutRow");
    }

    public int setLayoutRow(int layoutRow) {
        setGrtGlobalFromInt("layoutRow", layoutRow);

        return getLayoutRow();
    }

    public int getLayoutWidth() {
        return getGrtGlobalAsInt("layoutWidth");
    }

    public int setLayoutWidth(int layoutWidth) {
        setGrtGlobalFromInt("layoutWidth", layoutWidth);

        return getLayoutWidth();
    }

    public String getCaption() {
        return getGrtGlobalAsString("caption");
    }

    public String setCaption(String caption) {
        setGrtGlobalFromString("caption", caption);

        return getCaption();
    }

    public String getDescription() {
        return getGrtGlobalAsString("description");
    }

    public String setDescription(String description) {
        setGrtGlobalFromString("description", description);

        return getDescription();
    }

    public String getParamType() {
        return getGrtGlobalAsString("paramType");
    }

    public String setParamType(String paramType) {
        setGrtGlobalFromString("paramType", paramType);

        return getParamType();
    }

    public String getDefaultValue() {
        return getGrtGlobalAsString("defaultValue");
    }

    public String setDefaultValue(String defaultValue) {
        setGrtGlobalFromString("defaultValue", defaultValue);

        return getDefaultValue();
    }

    public String getLookupValueModule() {
        return getGrtGlobalAsString("lookupValueModule");
    }

    public String setLookupValueModule(String lookupValueModule) {
        setGrtGlobalFromString("lookupValueModule", lookupValueModule);

        return getLookupValueModule();
    }

    public String getLookupValueMethod() {
        return getGrtGlobalAsString("lookupValueMethod");
    }

    public String setLookupValueMethod(String lookupValueMethod) {
        setGrtGlobalFromString("lookupValueMethod", lookupValueMethod);

        return getLookupValueMethod();
    }

    public com.mysql.grt.GrtStringHashMap getParamTypeDetails() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("paramTypeDetails");

    }

    public com.mysql.grt.GrtStringHashMap setParamTypeDetails(com.mysql.grt.GrtStringHashMap paramTypeDetails) {
        setGrtGlobalFromObject("paramTypeDetails", paramTypeDetails);

        return getParamTypeDetails();
    }

}
