/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class RoutineDataLocal extends com.mysql.grt.db.RoutineDataLocal implements RoutineData {

    private String security;

    private String returnDatatype;

    private com.mysql.grt.db.mysql.RoutineParamList params;

    public RoutineDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getSecurity() {
        return security;
    }

    public String setSecurity(String security) {
        this.security = security;

        return getSecurity();
    }

    public String getReturnDatatype() {
        return returnDatatype;
    }

    public String setReturnDatatype(String returnDatatype) {
        this.returnDatatype = returnDatatype;

        return getReturnDatatype();
    }

    public com.mysql.grt.db.mysql.RoutineParamList getParams() {
        if (params == null)
            params = new com.mysql.grt.db.mysql.RoutineParamList(this.grtObject);
        return params;
    }

    public com.mysql.grt.db.mysql.RoutineParamList setParams(com.mysql.grt.db.mysql.RoutineParamList params) {
        this.params = params;
        return getParams();
    }

}
