/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mysql;

public class TableDataLocal extends com.mysql.grt.db.TableDataLocal implements TableData {

    private int delayKeyWrite;

    private int checksum;

    private String tableEngine;

    private String nextAutoInc;

    private String password;

    private String defaultCharacterSetName;

    private String defaultCollationName;

    private String mergeUnion;

    private String mergeInsert;

    private String tableDataDir;

    private String tableIndexDir;

    private String packKeys;

    private String raidType;

    private String raidChunks;

    private String raidChunkSize;

    private String rowFormat;

    private String avgRowLength;

    private String minRows;

    private String maxRows;

    private com.mysql.grt.db.ColumnList columns;

    private com.mysql.grt.db.IndexList indices;

    private com.mysql.grt.db.TriggerList triggers;

    public TableDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getDelayKeyWrite() {
        return delayKeyWrite;
    }

    public int setDelayKeyWrite(int delayKeyWrite) {
        this.delayKeyWrite = delayKeyWrite;

        return getDelayKeyWrite();
    }

    public int getChecksum() {
        return checksum;
    }

    public int setChecksum(int checksum) {
        this.checksum = checksum;

        return getChecksum();
    }

    public String getTableEngine() {
        return tableEngine;
    }

    public String setTableEngine(String tableEngine) {
        this.tableEngine = tableEngine;

        return getTableEngine();
    }

    public String getNextAutoInc() {
        return nextAutoInc;
    }

    public String setNextAutoInc(String nextAutoInc) {
        this.nextAutoInc = nextAutoInc;

        return getNextAutoInc();
    }

    public String getPassword() {
        return password;
    }

    public String setPassword(String password) {
        this.password = password;

        return getPassword();
    }

    public String getDefaultCharacterSetName() {
        return defaultCharacterSetName;
    }

    public String setDefaultCharacterSetName(String defaultCharacterSetName) {
        this.defaultCharacterSetName = defaultCharacterSetName;

        return getDefaultCharacterSetName();
    }

    public String getDefaultCollationName() {
        return defaultCollationName;
    }

    public String setDefaultCollationName(String defaultCollationName) {
        this.defaultCollationName = defaultCollationName;

        return getDefaultCollationName();
    }

    public String getMergeUnion() {
        return mergeUnion;
    }

    public String setMergeUnion(String mergeUnion) {
        this.mergeUnion = mergeUnion;

        return getMergeUnion();
    }

    public String getMergeInsert() {
        return mergeInsert;
    }

    public String setMergeInsert(String mergeInsert) {
        this.mergeInsert = mergeInsert;

        return getMergeInsert();
    }

    public String getTableDataDir() {
        return tableDataDir;
    }

    public String setTableDataDir(String tableDataDir) {
        this.tableDataDir = tableDataDir;

        return getTableDataDir();
    }

    public String getTableIndexDir() {
        return tableIndexDir;
    }

    public String setTableIndexDir(String tableIndexDir) {
        this.tableIndexDir = tableIndexDir;

        return getTableIndexDir();
    }

    public String getPackKeys() {
        return packKeys;
    }

    public String setPackKeys(String packKeys) {
        this.packKeys = packKeys;

        return getPackKeys();
    }

    public String getRaidType() {
        return raidType;
    }

    public String setRaidType(String raidType) {
        this.raidType = raidType;

        return getRaidType();
    }

    public String getRaidChunks() {
        return raidChunks;
    }

    public String setRaidChunks(String raidChunks) {
        this.raidChunks = raidChunks;

        return getRaidChunks();
    }

    public String getRaidChunkSize() {
        return raidChunkSize;
    }

    public String setRaidChunkSize(String raidChunkSize) {
        this.raidChunkSize = raidChunkSize;

        return getRaidChunkSize();
    }

    public String getRowFormat() {
        return rowFormat;
    }

    public String setRowFormat(String rowFormat) {
        this.rowFormat = rowFormat;

        return getRowFormat();
    }

    public String getAvgRowLength() {
        return avgRowLength;
    }

    public String setAvgRowLength(String avgRowLength) {
        this.avgRowLength = avgRowLength;

        return getAvgRowLength();
    }

    public String getMinRows() {
        return minRows;
    }

    public String setMinRows(String minRows) {
        this.minRows = minRows;

        return getMinRows();
    }

    public String getMaxRows() {
        return maxRows;
    }

    public String setMaxRows(String maxRows) {
        this.maxRows = maxRows;

        return getMaxRows();
    }

    public com.mysql.grt.db.ColumnList getColumns() {
        if (columns == null)
            columns = new com.mysql.grt.db.ColumnList(this.grtObject);
        return columns;
    }

    public com.mysql.grt.db.ColumnList setColumns(com.mysql.grt.db.ColumnList columns) {
        this.columns = columns;
        return getColumns();
    }

    public com.mysql.grt.db.IndexList getIndices() {
        if (indices == null)
            indices = new com.mysql.grt.db.IndexList(this.grtObject);
        return indices;
    }

    public com.mysql.grt.db.IndexList setIndices(com.mysql.grt.db.IndexList indices) {
        this.indices = indices;
        return getIndices();
    }

    public com.mysql.grt.db.TriggerList getTriggers() {
        if (triggers == null)
            triggers = new com.mysql.grt.db.TriggerList(this.grtObject);
        return triggers;
    }

    public com.mysql.grt.db.TriggerList setTriggers(com.mysql.grt.db.TriggerList triggers) {
        this.triggers = triggers;
        return getTriggers();
    }

}
