/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public class ColumnDataLocal extends com.mysql.grt.db.ColumnDataLocal implements ColumnData {

    private int defaultLength;

    private int numberOfNulls;

    private int numberOfBuckets;

    private double density;

    private String datatypeModifier;

    public ColumnDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getDefaultLength() {
        return defaultLength;
    }

    public int setDefaultLength(int defaultLength) {
        this.defaultLength = defaultLength;

        return getDefaultLength();
    }

    public int getNumberOfNulls() {
        return numberOfNulls;
    }

    public int setNumberOfNulls(int numberOfNulls) {
        this.numberOfNulls = numberOfNulls;

        return getNumberOfNulls();
    }

    public int getNumberOfBuckets() {
        return numberOfBuckets;
    }

    public int setNumberOfBuckets(int numberOfBuckets) {
        this.numberOfBuckets = numberOfBuckets;

        return getNumberOfBuckets();
    }

    public double getDensity() {
        return density;
    }

    public double setDensity(double density) {
        this.density = density;

        return getDensity();
    }

    public String getDatatypeModifier() {
        return datatypeModifier;
    }

    public String setDatatypeModifier(String datatypeModifier) {
        this.datatypeModifier = datatypeModifier;

        return getDatatypeModifier();
    }

}
