/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.workbench;

public class RelationshipDataLocal extends com.mysql.grt.GrtObjectDataLocal implements RelationshipData {

    private int startMandatory;

    private int endMandatory;

    private int startMany;

    private int endMany;

    private double captionXOffs;

    private double captionYOffs;

    private double startCaptionXOffs;

    private double startCaptionYOffs;

    private double endCaptionXOffs;

    private double endCaptionYOffs;

    private String caption;

    private String startCaption;

    private String endCaption;

    private String comment;

    private String startTable;

    private String endTable;

    public RelationshipDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public int getStartMandatory() {
        return startMandatory;
    }

    public int setStartMandatory(int startMandatory) {
        this.startMandatory = startMandatory;

        return getStartMandatory();
    }

    public int getEndMandatory() {
        return endMandatory;
    }

    public int setEndMandatory(int endMandatory) {
        this.endMandatory = endMandatory;

        return getEndMandatory();
    }

    public int getStartMany() {
        return startMany;
    }

    public int setStartMany(int startMany) {
        this.startMany = startMany;

        return getStartMany();
    }

    public int getEndMany() {
        return endMany;
    }

    public int setEndMany(int endMany) {
        this.endMany = endMany;

        return getEndMany();
    }

    public double getCaptionXOffs() {
        return captionXOffs;
    }

    public double setCaptionXOffs(double captionXOffs) {
        this.captionXOffs = captionXOffs;

        return getCaptionXOffs();
    }

    public double getCaptionYOffs() {
        return captionYOffs;
    }

    public double setCaptionYOffs(double captionYOffs) {
        this.captionYOffs = captionYOffs;

        return getCaptionYOffs();
    }

    public double getStartCaptionXOffs() {
        return startCaptionXOffs;
    }

    public double setStartCaptionXOffs(double startCaptionXOffs) {
        this.startCaptionXOffs = startCaptionXOffs;

        return getStartCaptionXOffs();
    }

    public double getStartCaptionYOffs() {
        return startCaptionYOffs;
    }

    public double setStartCaptionYOffs(double startCaptionYOffs) {
        this.startCaptionYOffs = startCaptionYOffs;

        return getStartCaptionYOffs();
    }

    public double getEndCaptionXOffs() {
        return endCaptionXOffs;
    }

    public double setEndCaptionXOffs(double endCaptionXOffs) {
        this.endCaptionXOffs = endCaptionXOffs;

        return getEndCaptionXOffs();
    }

    public double getEndCaptionYOffs() {
        return endCaptionYOffs;
    }

    public double setEndCaptionYOffs(double endCaptionYOffs) {
        this.endCaptionYOffs = endCaptionYOffs;

        return getEndCaptionYOffs();
    }

    public String getCaption() {
        return caption;
    }

    public String setCaption(String caption) {
        this.caption = caption;

        return getCaption();
    }

    public String getStartCaption() {
        return startCaption;
    }

    public String setStartCaption(String startCaption) {
        this.startCaption = startCaption;

        return getStartCaption();
    }

    public String getEndCaption() {
        return endCaption;
    }

    public String setEndCaption(String endCaption) {
        this.endCaption = endCaption;

        return getEndCaption();
    }

    public String getComment() {
        return comment;
    }

    public String setComment(String comment) {
        this.comment = comment;

        return getComment();
    }

    public com.mysql.grt.db.workbench.TableElement getStartTable() {
        return (com.mysql.grt.db.workbench.TableElement) com.mysql.grt.Grt.getInstance().getObjectByRefId(startTable);
    }

    public com.mysql.grt.db.workbench.TableElement setStartTable(com.mysql.grt.db.workbench.TableElement startTable) {
        this.startTable = startTable.get_id();
        return getStartTable();
    }

    public String getStartTableById() {
        return startTable;
    }

    public void setStartTableById(String startTable) {
        this.startTable = startTable;
    }

    public com.mysql.grt.db.workbench.TableElement getEndTable() {
        return (com.mysql.grt.db.workbench.TableElement) com.mysql.grt.Grt.getInstance().getObjectByRefId(endTable);
    }

    public com.mysql.grt.db.workbench.TableElement setEndTable(com.mysql.grt.db.workbench.TableElement endTable) {
        this.endTable = endTable.get_id();
        return getEndTable();
    }

    public String getEndTableById() {
        return endTable;
    }

    public void setEndTableById(String endTable) {
        this.endTable = endTable;
    }

}
