/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class DropdownDataGlobal extends com.mysql.grt.forms.WidgetDataGlobal implements DropdownData {

    public DropdownDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getFixedList() {
        return getGrtGlobalAsInt("fixedList");
    }

    public int setFixedList(int fixedList) {
        setGrtGlobalFromInt("fixedList", fixedList);

        return getFixedList();
    }

    public int getSelectedItem() {
        return getGrtGlobalAsInt("selectedItem");
    }

    public int setSelectedItem(int selectedItem) {
        setGrtGlobalFromInt("selectedItem", selectedItem);

        return getSelectedItem();
    }

    public String getText() {
        return getGrtGlobalAsString("text");
    }

    public String setText(String text) {
        setGrtGlobalFromString("text", text);

        return getText();
    }

    public com.mysql.grt.GrtStringList getItems() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("items");
    }

    public com.mysql.grt.GrtStringList setItems(com.mysql.grt.GrtStringList items) {
        setGrtGlobalFromObject("items", items);

        return getItems();
    }

}
