/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class Edit extends com.mysql.grt.forms.Widget {

    protected Edit() {
    }

    public Edit(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new EditDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new EditDataGlobal((String) obj);
        }
    }

    public int getBorder() {
        return ((EditData) data).getBorder();
    }

    public int setBorder(int border) {
        ((EditData) data).setBorder(border);

        return getBorder();
    }

    public int getReadOnly() {
        return ((EditData) data).getReadOnly();
    }

    public int setReadOnly(int readOnly) {
        ((EditData) data).setReadOnly(readOnly);

        return getReadOnly();
    }

    public String getText() {
        return ((EditData) data).getText();
    }

    public String setText(String text) {
        ((EditData) data).setText(text);

        return getText();
    }

    public String getPasswordChar() {
        return ((EditData) data).getPasswordChar();
    }

    public String setPasswordChar(String passwordChar) {
        ((EditData) data).setPasswordChar(passwordChar);

        return getPasswordChar();
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"border\">"
                    + Integer.toString(getBorder()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"readOnly\">"
                    + Integer.toString(getReadOnly()) + "</value>\n");

            if (getText() != null) {
                xml.append("<value type=\"string\" key=\"text\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getText()) + "</value>\n");
            }

            if (getPasswordChar() != null) {
                xml.append("<value type=\"string\" key=\"passwordChar\">"
                        + com.mysql.grt.Grt.escapeStringForXml(getPasswordChar()) + "</value>\n");
            }

        return xml;
    }
}
