/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

public class ListboxDataGlobal extends com.mysql.grt.forms.WidgetDataGlobal implements ListboxData {

    public ListboxDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public int getMultiselect() {
        return getGrtGlobalAsInt("multiselect");
    }

    public int setMultiselect(int multiselect) {
        setGrtGlobalFromInt("multiselect", multiselect);

        return getMultiselect();
    }

    public String getLastSelectedItem() {
        return getGrtGlobalAsString("lastSelectedItem");
    }

    public String setLastSelectedItem(String lastSelectedItem) {
        setGrtGlobalFromString("lastSelectedItem", lastSelectedItem);

        return getLastSelectedItem();
    }

    public com.mysql.grt.GrtStringList getItems() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("items");
    }

    public com.mysql.grt.GrtStringList setItems(com.mysql.grt.GrtStringList items) {
        setGrtGlobalFromObject("items", items);

        return getItems();
    }

    public com.mysql.grt.GrtStringList getSelectedItems() {
        return (com.mysql.grt.GrtStringList) getGrtGlobalAsObject("selectedItems");
    }

    public com.mysql.grt.GrtStringList setSelectedItems(com.mysql.grt.GrtStringList selectedItems) {
        setGrtGlobalFromObject("selectedItems", selectedItems);

        return getSelectedItems();
    }

}
