/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.forms;

import com.mysql.grt.*;

public class PositionList extends GrtList {

    public PositionList() {
        super();
    }

    public PositionList(com.mysql.grt.GrtObject owner) {
        super(owner);
    }

    public PositionList(String contentStructName) {
        super(contentStructName);
    }

    public PositionList(String contentStructName, String globalObjectPath) {
        super(contentStructName, globalObjectPath);
    }

    public Position add(Position item) {
        return (Position) super.addObject(item);
    }

    // TODO: this is a hack and should be replaced with a ObjectRefList
    public Position get(int index) {
        Object obj = super.getObject(index);

        if (obj.getClass() == String.class)
            return (Position) Grt.getInstance().getObjectByRefId((String) obj);
        else
            return (Position) obj;
    }

    /*public Position get(int index) {
        return (Position) super.getObject(index);
    }*/

    public Position getItemByName(String name) {
        int index = getIndexOfName(name);

        if (index > -1)
            return get(index);
        else
            return null;
    }
    public String getContentType() {
        return "dict";
    }

    public String getContentStructName() {
        return "forms.Position";
    }

}
