/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.model;

public class Marker extends com.mysql.grt.GrtObject {

    protected Marker() {
    }

    public Marker(Object obj) {
        super();

        if ((obj == null) || (obj instanceof com.mysql.grt.GrtObject)) {
            data = new MarkerDataLocal(this);

            data.setOwner((com.mysql.grt.GrtObject) obj);
            com.mysql.grt.Grt.getInstance().addToObjectCache(this);
        } else if (obj instanceof String) {
            data = new MarkerDataGlobal((String) obj);
        }
    }

    public int getX() {
        return ((MarkerData) data).getX();
    }

    public int setX(int x) {
        ((MarkerData) data).setX(x);

        return getX();
    }

    public int getY() {
        return ((MarkerData) data).getY();
    }

    public int setY(int y) {
        ((MarkerData) data).setY(y);

        return getY();
    }

    public double getZoom() {
        return ((MarkerData) data).getZoom();
    }

    public double setZoom(double zoom) {
        ((MarkerData) data).setZoom(zoom);

        return getZoom();
    }

    public com.mysql.grt.GrtObject getView() {
        return ((MarkerData) data).getView();
    }

    public com.mysql.grt.GrtObject setView(com.mysql.grt.GrtObject view) {
        ((MarkerData) data).setView(view);

        return getView();
    }

    public String getViewById() {
        return ((MarkerData) data).getViewById();
    }

    public void setViewById(String view) {
        ((MarkerData) data).setViewById(view);
    }

    public StringBuffer getGrtXmlMembers(StringBuffer xml) {
        super.getGrtXmlMembers(xml);

            xml.append("<value type=\"int\" key=\"x\">"
                    + Integer.toString(getX()) + "</value>\n");

            xml.append("<value type=\"int\" key=\"y\">"
                    + Integer.toString(getY()) + "</value>\n");

            xml.append("<value type=\"real\" key=\"zoom\">"
                    + Double.toString(getZoom()) + "</value>\n");

            if (getView() != null) {
                xml.append("<value type=\"string\" option=\"ref\" key=\"view\">"
                        + getViewById() + "</value>\n");
            }

        return xml;
    }
}
